nixp.ru v3.0

29 мая 2017,
понедельник,
21:54:28 MSK

DevOps с компанией «Флант»
Lexion написал 6 октября 2004 года в 20:35 (439 просмотров) Ведет себя как мужчина; открыл 21 тему в форуме, оставил 51 комментарий на сайте.

Скажите плз есть ли дрова видео Nvidia под Slackware 9 , а то я заходил на nvidia.com но там дрова токо под FreeBSD и Red Hat , Suse , Mandrake я их пробовал ставить но из-за них в KDE вызывало

ошибку , до тех пор пока я этот драйвер не удалил.

Master

Какую ошибку??? Разве эти ( http://download.nvidia.com/XFree86/Linux-x86/1.0-6111/NVIDIA-Linux-x86-1.0-6111-pkg1.run ) дайвера не подходят к слаке?

Lexion

точно не помню , но напишу

а ошибку выдаёт анализатор ошибок KDE

Negative

анализатор ошибок KDE :)

из иксов выйди, а потом дрова ставь

Lexion

а я по твоему как делал ,

это после того как установил драйвер вылитал такой баг

sky
Master
Разве эти ( http://download.nvidia.com/XFree86/Linux-x86/1.0-6111/NVIDIA-Linux-x86-1.0-6111-pkg1.run ) дайвера не подходят к слаке?

Эти дрова отлично к ней подходят и работают…

Lexion

просто я ставил не 1.611 , а немного устаревшие

мне уже сказали что эти дрова работают на ура.

Токо скажите плз что надо сделать когда прошла установка

то есть где и что надо прописать чтоб загрузился новый драйвер?

fly4life
Lexion
просто я ставил не 1.611 , а немного устаревшие

мне уже сказали что эти дрова работают на ура.

Токо скажите плз что надо сделать когда прошла установка

то есть где и что надо прописать чтоб загрузился новый драйвер?

Там же в README к драйверу всё по пунктам расписано ;).

Плюс, поищи на форуме. Тут где-то это точно было.

Lexion

Я README прочитал от А до Я ,ставил как там написано но после

build пишет error , я пробовал ещё с ключём kernel-name=’2.6.8.1\′ то

есть номер ядра который выдаёт uname-r.

Запустил пошло вродь нормально , но потом всё таки на каком-то

файле запоролось , я уже и не знаю что делать ?

Ставил дрова 1.0-6111

Подскажите плз как их поставить , если кто ставил дрова NVIDIA на Слаку !

anonymous

--kernel-include-path=/usr/include

Lexion

заранее спасибо , но с этим ключём точно получиться ?

sky
Lexion
заранее спасибо , но с этим ключём точно получиться ?

Нуна иметь исходники от установленного ядра, с конфигом его. Т.е. ссылка /lib/modules/2.6.8.1/build должна вести в каталог с исходниками( напр. в /usr/src/linux-2.6.8.1)

Короче в описываю ситуёвину в идеале:

1) Собираем ядро (make menuconfig, make, make modules_install……)

2) устанавливаем его (cp arch/i386/boot/bzImage /boot/vmlinuz-2.6.8.1, pico /etc/lilo.conf, lilo)

3) презагружаемся с новым ядром

4) запускаем нвидиевскую инсталляху

Если всё проходит гладко, открываем /etc/X11/xorg.conf илт xf86config и меняем драйвер на nvidia :

Section "Device"
    Identifier  "GeForce2Pro/GTS"
    Driver      "nvidia"
    Option "NoLogo" "true"
    VideoRam    65536
    # Insert Clocks lines here if appropriate
EndSection

Если возникают проблемы, то смотрим, что пишет инсталляха, записываем это на бумажку и постим здесь!

Lexion

Когда ставлю то пишет вот такую штуку:

Error: failed to execute ’sbin/depmod -aq 2.6.8.1\′:depmod:QM_MODULES:function not implemented

Lexion

Ядро я уже давно скомпилил , но ещё не пробовал

в /lib/modules/2.6.8.1/build прописать путь к исходникам ядра , но попробую , если поставиться то буду на седьмом небе :-)

sky
Lexion
Ядро я уже давно скомпилил , но ещё не пробовал

в /lib/modules/2.6.8.1/build прописать путь к исходникам ядра , но попробую , если поставиться то буду на седьмом небе :-)

У-у-у батенька, забыл, кошда у меня была шлака 9-я я тоже хотел поставить на ней 2.6.

Короче, там пол системы обновлять надо(говорю так, потому, что не помню, что именно).

Lexion

Мне сказали что надо ещё поставить modutils под ядро 2.6

может из-за этого оно вызывает гемор.

Ещё хочу спросить нысчёт того в каком именно файле нужно прописать из /lib/modules/2.6.8.1/build нужно прописать путь к исходникам ядра ?

Я спрашивал и мне сказали что ничего не нужно прописывать оно

должно само ссылаться на символическую ссылку исходников ядра.

Lexion

Когда ставлю то пишет вот такую штуку:

Error: failed to execute ’sbin/depmod -aq 2.6.8.1\′:depmod:QM_MODULES:function not implemented

anonymous
Lexion
Когда ставлю то пишет вот такую штуку:

Error: failed to execute ’sbin/depmod -aq 2.6.8.1\′:depmod:QM_MODULES:function not implemented

поставь/переставь module-init-tools

sky
Lexion
Мне сказали что надо ещё поставить modutils под ядро 2.6

может из-за этого оно вызывает гемор.

Ещё хочу спросить нысчёт того в каком именно файле нужно прописать из /lib/modules/2.6.8.1/build нужно прописать путь к исходникам ядра ?

Я спрашивал и мне сказали что ничего не нужно прописывать оно

должно само ссылаться на символическую ссылку исходников ядра.

Как со зрением? -20? Я же не писал, что нужно где-то что-то прописывать

qwerty
ссылка /lib/modules/2.6.8.1/build должна вести в каталог с исходниками

И только.

Но енто к делу не отностится, у тя другая проблема

Во статейка, в ней указано какие пакеты нуна обновлять и как узнать версию уже установленных:

http://kerneltrap.org/node/view/799

p.s.

А вообще googleit forever!(на первой же странице по запросу what i need for kernel 2.6 )

Lexion

Всем спасибо за помощь! Дрова поставил работает всё на ура :)))